/*************************************************************************************
Data Visualization - Star Evolution Column               
Tested in Processing 3                                    
                                                     
Author: Jared Brooks                       
Supervisor: George Legrady                           
*************************************************************************************/

import peasy.*;
import controlP5.*;
import processing.sound.*;

PeasyCam cam;
ControlP5 cp5;

float age=0;
float printage;
double max_age;
float speed=1;
float mult = 1;

int t=0;

boolean hud = true;
boolean pause = false;


PFont f, zigBlack;


void setup(){
  //size(1280, 720, P3D);
  size(1400, 900, P3D);
  smooth(8);
  hint(ENABLE_STROKE_PERSPECTIVE);
  
  camSet();

  readData();
  
  f = createFont("Arial", 16);
  textFont(f);
  


}

void draw(){
  background(0);
  rotateX(PI/2.5);
  
  textSize(14);
  fill(255);
  
  if (mult < 1) {mult=1;}

  if (!pause ) {age = age + speed*mult;}
  if (age >= 3594) {age = 3594;}
  
  if (age%24 == 0) {printage = age;}
  
  backgroundWindColor();

  if (color_scheme == 1) { minburncolor = #D20140; maxburncolor = #380011; cooling = #979108; convection = #084B5E; }
  if (color_scheme == 2) { minburncolor = #C2A4B7; maxburncolor = #582044; cooling = #91A365; convection = #406868; }
  if (color_scheme == 3) { minburncolor = #BB9EB3; maxburncolor = #551F46; cooling = #AD9A6B; convection = #46616E; }
  if (color_scheme == 4) { minburncolor = #AF017F; maxburncolor = #2E0023; cooling = #976D08; convection = #0A435F; }
  if (color_scheme == 5) { minburncolor = #D2E3C0; maxburncolor = #486725; cooling = #5B4E77; convection = #975D73; }
  
  kipp();
  surface();
  
  stroke(255);
  line(-2000,0,0,2000,0,0);
  rotateX(-PI/2);
  fill(255);
  textSize(28);
  text("center", starHeight,0,0);
  text("surface", -starHeight,0,0);
  rotateX(PI/2);

  t = (int)age;
   
  
  if (hud) {
    fixedDisplay();
  }
}